Edit manual payment
curl --request PATCH \
--url https://api.zenskar.com/payments/manual_payment/{payment_id} \
--header 'Content-Type: application/json' \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"payment_method_details": {},
"amount": 123,
"payment_parts": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123
}
],
"external_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.zenskar.com/payments/manual_payment/{payment_id}"
payload = {
"payment_method_details": {},
"amount": 123,
"payment_parts": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123
}
],
"external_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
organisation: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payment_method_details: {},
amount: 123,
payment_parts: [{invoice_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', amount: 123}],
external_id: '<string>',
timestamp: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.zenskar.com/payments/manual_payment/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"amount_refunded": "<string>",
"currency_code": "<string>",
"status": "in_progress",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"customer_email": "<string>",
"customer_external_id": "<string>",
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"payment_method": "card",
"payment_method_details": {},
"type": "payment",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoices": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"amount_refunded": "<string>",
"currency_code": "<string>",
"invoice_number": "<string>",
"status": "draft",
"invoice_total": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"timestamp": "2023-11-07T05:31:56Z",
"transactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency_code": "<string>",
"payment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "in_progress",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"payment_method": "card",
"payment_method_details": {},
"reference_number": "<string>",
"description": "<string>",
"error_code": "<string>",
"error_text": "<string>",
"settled_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"payment_type": "<string>"
}
],
"error_text": "<string>",
"created_at": "<string>",
"receipt_number": "<string>",
"balance_transactions": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Payments
Edit manual payment
Edit an existing manual payment
PATCH
/
payments
/
manual_payment
/
{payment_id}
Edit manual payment
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
Payment Response Schema
Payment Id
Payment Status
Available options:
in_progress, requires_action, pending_charge, authorized, created, success, voided, failed, canceled, refunded, partially_refunded, other Available options:
card, cash, check, charge_back, bank_transfer, direct_debit, amazon_payments, paypal_express_checkout, upi, netbanking_emandates, other, credits, ach_credit_transfer Available options:
payment, refund, payment_reversal, authorization, tax_withheld Show child attributes
Show child attributes
Show child attributes
Show child attributes
Error Message
created_at
receipt_number
balance_transactions